org.eclipse.ecf.remoteservice

## Class AbstractRemoteService.ProxyClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.eclipse.ecf.remoteservice.AbstractRemoteService.ProxyClassLoader

Enclosing class:
  AbstractRemoteService

    public class AbstractRemoteService.ProxyClassLoader
    extends ClassLoader

Since:
  8.0

### Constructor Summary

Constructors
Constructor and Description
`ProxyClassLoader(ClassLoader cl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `loadClass(String name)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyClassLoader

    public ProxyClassLoader(ClassLoader cl)

### Method Detail

#### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`